package com.foreverwin.mesnac.equip.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.foreverwin.mesnac.equip.model.Equip;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Max
 * @since 2020-10-10
 */
@Repository
public interface EquipMapper extends BaseMapper<Equip> {
    List<Equip> selectBySiteType(@Param("site") String site, @Param("type") String type);
}