package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.equip.model.EmailGroup;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Max
 * @since 2021-03-11
 */
public interface EmailGroupService extends IService<EmailGroup> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<EmailGroup> selectPage(FrontPage<EmailGroup> frontPage, EmailGroup emailGroup);

    List<EmailGroup> selectList(EmailGroup emailGroup);
}