package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.equip.model.Equip;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Max
 * @since 2020-10-10
 */
public interface EquipService extends IService<Equip> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Equip> selectPage(FrontPage<Equip> frontPage, Equip equip);

    List<Equip> selectList(Equip equip);

    List<Equip> selectBySiteType(String site, String type);
}