package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.equip.model.EquipTypeEquip;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Max
 * @since 2020-10-10
 */
public interface EquipTypeEquipService extends IService<EquipTypeEquip> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<EquipTypeEquip> selectPage(FrontPage<EquipTypeEquip> frontPage, EquipTypeEquip equipTypeEquip);

    List<EquipTypeEquip> selectList(EquipTypeEquip equipTypeEquip);

    String selectEquipTypeByEquip ( String site,String equip );
}