package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.equip.model.ResourceInspectPlan;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 设备检验计划表 服务类
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-06-10
 */
public interface ResourceInspectPlanService extends IService<ResourceInspectPlan> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ResourceInspectPlan> selectPage(FrontPage<ResourceInspectPlan> frontPage, ResourceInspectPlan resourceInspectPlan);

    List<ResourceInspectPlan> selectList(ResourceInspectPlan resourceInspectPlan);

    boolean saveResourcePlanData(ResourceInspectPlan resourceInspectPlan);
}